Mantis Issue Tracking for Scribus
· Hosting provided by Anduin.net / Øverby Consulting ·

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000002ScribusStory Editor / Text Framespublic2003-11-19 17:092006-12-22 00:45
Reportercbradney 
Assigned Toavox 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.3 
Target VersionFixed in Version1.3.4cvs 
Summary0000002: Ability to have multiple character formats/styles in one paragraph, ie character based styles
DescriptionAs discussed, the ability to have more than one style in a paragraph would be necessary to
a) give this editing functionality
b) stop the editor removing existing formatted paragraphs
TagsNo tags attached.
Patch
Attached Files

- Relationships
has duplicate 0000494closedplinnell Edit Text overwrites formating of text 
child of 0003964closedplinnell 1.3.4 Release Metabug 

-  Notes
(0002315)
ringerc (administrator)
2004-09-05 22:07
edited on: 2004-12-17 03:59

this would be useful for bug 0000363 too.

(0003899)
Joeboy (reporter)
2005-03-10 13:05

Additionally, it would be very useful to be able to define 'variants' , eg for bold and italic. This could work either by:

* having more styles and assigning them as variants of a base style

or

* making 'edit style' a tabbed dialog with Bold, Italic and Bold/Italic automatically guessed when the style is created. If there's no 'good' guess the tabs should be greyed out, or some other visual feedback. Additionally further variants like ExtraBold could be defined by the user.

Personally I like the second idea.

- Issue History
Date Modified Username Field Change
2003-11-19 17:09 cbradney New Issue
2003-11-19 17:30 cbradney Status new => acknowledged
2004-01-05 01:54 cbradney Projection none => major rework
2004-01-05 01:54 cbradney Product Version => 1.3
2004-01-05 01:54 cbradney Summary Ability to have multiple character formats/styles in one paragraph => Ability to have multiple character formats/styles in one paragraph, ie character based styles
2004-04-18 22:15 plinnell Relationship added has duplicate 0000494
2004-09-05 22:07 ringerc Note Added: 0002315
2004-12-17 03:59 ringerc Note Edited: 0002315
2005-03-10 13:05 Joeboy Note Added: 0003899
2005-05-25 12:41 Tsoots Status acknowledged => assigned
2005-05-25 12:41 Tsoots Assigned To => Tsoots
2006-02-27 01:55 avox Relationship added child of 0002228
2006-04-11 00:02 Tsoots Assigned To Tsoots => avox
2006-07-02 23:43 avox Relationship added child of 0003964
2006-11-18 07:22 avox Status assigned => resolved
2006-11-18 07:22 avox Fixed in Version => 1.3.4cvs
2006-11-18 07:22 avox Resolution open => fixed
2006-12-22 00:45 avox Status resolved => closed



Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker